import React, { Component } from "react";
import { Link } from "react-router-dom";
import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';

import { signInRequest } from './../../actions/auth/signIn'
import { signUpRequest } from './../../actions/auth/signUp'

import * as routes from './../../constants/routes'

import { auth } from '../../firebase_config'

class Header extends Component {

    render() {
        const { isFetching, error, user, fbValue } = this.props.auth;
        const { signInRequest } = this.props;

        return (
            <header className="header">
                <nav className="header__nav">
                    <ul className="header__nav--list">
                        <li>
                            <Link className="nav-list__item" to="/favorites">
                                Favorites
                            </Link>
                        </li>
                        <li>
                            <Link className="nav-list__item" to="/passed">
                                Passed
                            </Link>
                        </li>
                        <li>
                            <Link className="nav-list__item" to="/results">
                                Results
                            </Link>
                        </li>
                    </ul>
                    <div className="header__nav--links">
                        <Link to="/profile">
                            <img className="header__nav--links nav-links--profile" src="https://bit.ly/2LuGzwz" />
                        </Link>
                        <Link className="header__nav--links nav-links--sign-in" to={routes.SIGN_IN}>Sign in</Link>
                        <Link className="header__nav--links nav-links--sign-up" to={routes.SIGN_UP}>Sign up</Link>
                    </div>
                </nav>
            </header>
        )
    }
}

const
    mapStateToProps = state => ({
        auth: {
            ...state.signIn
        }
    }),
    mapDispatchToProps = dispatch => bindActionCreators({
        signInRequest,
        signUpRequest
    }, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(Header)